import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class NeptunEscaper extends World
{
    private Emmy emmy;
    private Muelleimer muelleimer;
    private Logbuch logbuch;
    private Hoehenmesser hoehenmesser;
    private Hebel hebel;
    private Peetie peetie;

    public NeptunEscaper()
    {
        super(1280, 800, 1);
        prepare();
    }

    private void prepare()
    {
        emmy = new Emmy();
        addObject(emmy, 546, 657);

        muelleimer = new Muelleimer();
        addObject(muelleimer, 947, 675);

        logbuch = new Logbuch();
        addObject(logbuch, 406, 432);

        hoehenmesser = new Hoehenmesser();
        addObject(hoehenmesser, 1044, 380);

        hebel = new Hebel();
        addObject(hebel, 218, 487);

        peetie = new Peetie();
        addObject(peetie, 697, 645);
    }

    /**
     * Setzt alle Objekte in der Welt auf ihre ursprünglichen Positionen zurück (sofort).
     */
    public void resetWorldInstant()
    {
        removeObjects(getObjects(null));
        prepare();
    }

    /**
     * Wird von Greenfoot aufgerufen, wenn der Reset-Button gedrückt wird.
     */
    public void reset()
    {
        resetWorldInstant(); // Verwende diese Zeile für das sofortige Zurücksetzen
        // resetWorldAnimated(); // Verwende diese Zeile für das animierte Einfliegen
    }

    @Override
    public void act()
    {
        // In dieser Version ist keine zusätzliche Logik für das Einfliegen notwendig.
    }
}